# Uses of Class
com.fasterxml.jackson.datatype.jsr310.deser.LocalDateDeserializer

Packages that use LocalDateDeserializer
Package
Description
com.fasterxml.jackson.datatype.jsr310.deser

## Uses of LocalDateDeserializer in com.fasterxml.jackson.datatype.jsr310.deser

Fields in com.fasterxml.jackson.datatype.jsr310.deser declared as LocalDateDeserializer
Modifier and Type
Field
Description
`static final LocalDateDeserializer`
LocalDateDeserializer.`INSTANCE`
Methods in com.fasterxml.jackson.datatype.jsr310.deser that return LocalDateDeserializer
Modifier and Type
Method
Description
`protected LocalDateDeserializer`
LocalDateDeserializer.`withDateFormat(DateTimeFormatter dtf)`
`protected LocalDateDeserializer`
LocalDateDeserializer.`withLeniency(Boolean leniency)`
`protected LocalDateDeserializer`
LocalDateDeserializer.`withShape(com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Constructors in com.fasterxml.jackson.datatype.jsr310.deser with parameters of type LocalDateDeserializer
Modifier
Constructor
Description
`protected`
`LocalDateDeserializer(LocalDateDeserializer base, com.fasterxml.jackson.annotation.JsonFormat.Shape shape)`
Since 2.11
`protected`
`LocalDateDeserializer(LocalDateDeserializer base, Boolean leniency)`
Since 2.10
``
`LocalDateDeserializer(LocalDateDeserializer base, DateTimeFormatter dtf)`
Since 2.10